ChangeSet 1.1371.759.41, 2004/04/28 13:25:14-07:00, david-b@pacbell.net

[PATCH] USB: fix sparc64 2.6.6-rc2-mm2 build busted: usb/core/hub.c hubstatus

> 2) An undefined 'hubstatus' variable in drivers/usb/core/hub.c:
>
>       CC      drivers/usb/core/hub.o
>     drivers/usb/core/hub.c: In function `hub_port_connect_change':
>     drivers/usb/core/hub.c:1343: error: `hubstatus' undeclared (first use in this function)
>     drivers/usb/core/hub.c:1343: error: (Each undeclared identifier is reported only once
>     drivers/usb/core/hub.c:1343: error: for each function it appears in.)
>     make[3]: *** [drivers/usb/core/hub.o] Error 1
>
>   As a total shot in the dark, the following fixes the build (I've no clue
>   if it is the right fix):

Yes, it's the right fix.  Greg, please merge the attached patch,
which will be needed on any big-endian system.


 drivers/usb/core/hub.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/core/hub.c b/drivers/usb/core/hub.c
--- a/drivers/usb/core/hub.c	Fri May 14 15:31:33 2004
+++ b/drivers/usb/core/hub.c	Fri May 14 15:31:33 2004
@@ -1340,7 +1340,7 @@
 				dev_dbg(&dev->dev, "get status %d ?\n", status);
 				continue;
 			}
-			cpu_to_le16s(&hubstatus);
+			cpu_to_le16s(&devstat);
 			if ((devstat & (1 << USB_DEVICE_SELF_POWERED)) == 0) {
 				dev_err(&dev->dev,
 					"can't connect bus-powered hub "
